<?php
session_start();
header("Access-Control-Allow-Origin: *");

//Conexão MYSQL
require_once("./conexao.php");
$conn = conn();
$conn_s = conn_s();

define('DB_DRIVER'      , "sqlsrv");
define('DB_HOST'        , "192.168.0.237");
define('DB_USER'        , "projetos");
define('DB_PASSWORD'    , "projetos");
define('DB_NAME'        , "UNI");

//Conexão SQLSERVER
require_once("./ConnSQLSERVER.php");
$Conexao = ConnSQLSERVER::getConnection();

$numero_orcamento = $_POST['numer_orcamento'];

$array = [];

/**
* Verificar se o orçamento existe: 
* [SQL_DOQTDPED] = quantidade de produtos
* [SQL_DOCODBUS] = código do produto
*/
$query    = $Conexao->query("SELECT SQL_DOQTDPED,SQL_DOCODBUS FROM DPORCAME_GIM WHERE LTRIM(RTRIM(SQL_DONUMORC)) = '$numero_orcamento'");
$produtos = $query->fetchAll();
if (count($produtos) > 0) {//1° Condicional

	foreach($produtos as $produto) {
		$q_produto = mysqli_query($conn_s, "SELECT id,SQL_ICODBUS,SQL_IDESCRI FROM uni_produtos_web 
			WHERE SQL_ICODBUS = '".trim($produto['SQL_DOCODBUS'])."'");
		
		if (mysqli_num_rows($q_produto) > 0) {
			$id_produto = mysqli_fetch_array($q_produto);
			array_push($array, array(
				"produto_solicitado"  => $id_produto['id'],
				"produto_descricao"  => trim($id_produto['SQL_ICODBUS'])." - ".trim($id_produto['SQL_IDESCRI']),
				"qtd_solicitada"      => intval($produto['SQL_DOQTDPED']) ));
		}
	}
}

$var = $array;
  

echo json_encode($var); 